Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | List of all members
eZSection Class Reference

eZSection handles grouping of content in eZ Publish More...

Inheritance diagram for eZSection:

## Public Member Functions
| __construct ( $row)
| removeThis ( $conditions=null, $extraConditions=null)
| canBeRemoved ( $sectionID=false)
| applyTo (eZContentObject $object)
Public Member Functions inherited from eZPersistentObject
| eZPersistentObject ( $row=null)
| fill ( $row)
| remove ( $conditions=null, $extraConditions=null)
| store ( $fieldFilters=null)
| sync ( $fieldFilters=null)
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr, $noFunction=false)
| setAttribute ( $attr, $val)
| hasDirtyData ()
| setHasDirtyData ( $hasDirtyData)

## Static Public Member Functions
static | definition ()
static | fetch ( $sectionID, $asObject=true)
static | fetchByIdentifier ( $sectionIdentifier, $asObject=true)
static | fetchFilteredList ( $conditions=null, $offset=false, $limit=false, $asObject=true)
static | fetchList ( $asObject=true)
static | fetchByOffset ( $offset, $limit, $asObject=true)
static | sectionCount ()
Static Public Member Functions inherited from eZPersistentObject
static | replaceFieldsWithShortNames (eZDBInterface $db, array $fieldDefs, &$fields)
static | count ( $def, $conds=null, $field=null)
static | fetchObject ( $def, $field_filters, $conds, $asObject=true, $grouping=null, $custom_fields=null)
static | removeObject ( $def, $conditions=null, $extraConditions=null)
static | storeObject ( $obj, $fieldFilters=null)
static | conditionText ( $conditions)
static | conditionTextByRow ( $conditions, $row)
static | fetchObjectList ( $def, $field_filters=null, $conds=null, $sorts=null, $limit=null, $asObject=true, $grouping=false, $custom_fields=null, $custom_tables=null, $custom_conds=null)
static | handleRows ( $rows, $class_name, $asObject)
static | swapRow ( $table, $keys, $order_id, $rows, $id1, $id2)
static | newObjectOrder ( $def, $orderField, $conditions)
static | reorderObject ( $def, $orderField, $conditions, $down=true)
static | escapeArray ( $array)
static | updateObjectList ( $parameters)
static | getShortAttributeName ( $db, $def, $attrName)

## Additional Inherited Members
Public Attributes inherited from eZPersistentObject
| $PersistentDataDirty
| $ID
| $ContentObjectID
| $SectionID
| $OwnerID
| $ClassID
| $Published
| $Modified
| $CurrentVersion
| $Status
| $RemoteID
| $LanguageMask
| $InitialLanguageID
| $NodeID
| $ParentNodeID
| $MainNodeID
| $ContentObjectVersion
| $ContentObjectIsPublished
| $Depth
| $SortField
| $SortOrder
| $Priority
| $ModifiedSubNode
| $PathString
| $PathIdentificationString
| $IsHidden
| $IsInvisible
| $UserID
| $Name
| $Locale
| $Identifier
| $NavigationPartIdentifier
| $SerializedDescriptionList
| $URLAliasName
| $AlwaysAvailable
| $CanTranslate
| $DataInt1
| $DataInt2
| $DataInt3
| $DataInt4
| $DataFloat1
| $DataFloat2
| $DataFloat3
| $DataFloat4
| $DataText1
| $DataText2
| $DataText3
| $DataText4
| $DataText5
| $SerializedDataText
| $Category
| $PolicyID
| $Values
| $Created
| $CurrencyCode
| $ProductCollectionID
| $ItemCount
| $Price
| $IsVATIncluded
| $VATValue
| $DiscountValue
| $Email
| $IsTemporary
| $IsArchived
| $IsActive
| $OrderID
| $ModifierID
| $Code
| $Symbol
| $AutoRateValue
| $CustomRateValue
| $RateFactor
| $Main
| $MementoKey
| $MainKey
| $WorkflowEventPos
| $LanguageID
| $ContentObjectStateGroupID
| $contentobject_attribute_id
| $contentobject_id
| $rating
| $rating_count
| $rating_average
Static Protected Member Functions inherited from eZPersistentObject
static | replaceFieldsWithLongNames (eZDBInterface $db, array $fieldDefs, &$fields)

## Detailed Description

eZSection handles grouping of content in eZ Publish

Definition at line 17 of file ezsection.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZSection::__construct | ( |  | $row | ) |

Initializes the object with the $row.

It will try to set each field taken from the database row. Calls fill to do the job. If $row is an integer, it will try to fetch it from the database using it as the unique ID.

Parameters

  int | array | $row |

Reimplemented from eZPersistentObject.

Definition at line 19 of file ezsection.php.

## Member Function Documentation

## ◆ applyTo()

eZSection::applyTo | ( | eZContentObject | $object | ) |

Definition at line 205 of file ezsection.php.

References eZPersistentObject\attribute(), eZContentCacheManager\clearContentCacheIfNeeded(), eZContentCacheManager\clearObjectViewCacheArray(), eZUser\currentUser(), eZOperationHandler\execute(), eZContentObject\expireAllViewCache(), eZContentObjectTreeNode\getObjectIdsInNodeSubTree(), eZDB\instance(), eZOperationHandler\operationIsAvailable(), eZSearch\updateObjectsSection(), and eZDebug\writeError().

## ◆ canBeRemoved()

eZSection::canBeRemoved | ( |  | $sectionID = `false` | ) |

Definition at line 181 of file ezsection.php.

References eZPersistentObject\attribute(), eZPersistentObject\count(), eZContentObject\definition(), eZPersistentObject\fetchObjectList(), eZRole\fetchRolesByLimitation(), and eZPolicyLimitation\findByType().

## ◆ definition()

static eZSection::definition | ( |  | ) |
| static

Returns
  the persistent object definition for the eZSection class.

Reimplemented from eZPersistentObject.

Definition at line 31 of file ezsection.php.

Referenced by fetch(), fetchByIdentifier(), fetchByOffset(), fetchFilteredList(), and fetchList().

## ◆ fetch()

static eZSection::fetch | ( |  | $sectionID,
|  |  | $asObject = `true`
| ) |  |
| static

Returns
  the section object with the given id.

Definition at line 64 of file ezsection.php.

References definition(), and eZPersistentObject\fetchObject().

Referenced by eZContentObjectTreeNode\assignSectionToSubTree(), eZNodeviewfunctions\generateNodeViewData(), and eZContentObject\sectionIdentifier().

## ◆ fetchByIdentifier()

static eZSection::fetchByIdentifier | ( |  | $sectionIdentifier,
|  |  | $asObject = `true`
| ) |  |
| static

fetch object by section identifier

Parameters

  string | $sectionIdentifier |
  boolean | $asObject |

Returns
  object|null

Definition at line 94 of file ezsection.php.

References definition(), and eZPersistentObject\fetchObject().

## ◆ fetchByOffset()

static eZSection::fetchByOffset | ( |  | $offset,
|  |  | $limit,
|  |  | $asObject = `true`
| ) |  |
| static

Definition at line 146 of file ezsection.php.

References definition(), and eZPersistentObject\fetchObjectList().

## ◆ fetchFilteredList()

static eZSection::fetchFilteredList | ( |  | $conditions = `null`,
|  |  | $offset = `false`,
|  |  | $limit = `false`,
|  |  | $asObject = `true`
| ) |  |
| static

Definition at line 127 of file ezsection.php.

References definition(), and eZPersistentObject\fetchObjectList().

Referenced by eZContentObject\allowedAssignSectionList(), and eZSiteInstaller\sectionIDbyName().

## ◆ fetchList()

static eZSection::fetchList | ( |  | $asObject = `true` | ) |
| static

Definition at line 139 of file ezsection.php.

References definition(), and eZPersistentObject\fetchObjectList().

Referenced by eZContentObject\allowedAssignSectionList(), eZApproveType\attribute(), and eZMultiplexerType\attribute().

## ◆ removeThis()

eZSection::removeThis | ( |  | $conditions = `null`,
|  |  | $extraConditions = `null`
| ) |  |

Will remove the current section from the database.

Note
  Transaction unsafe. If you call several transaction unsafe methods you must enclose the calls within a db transaction; thus within db->begin and db->commit.

Definition at line 173 of file ezsection.php.

## ◆ sectionCount()

static eZSection::sectionCount | ( |  | ) |
| static

Returns
  the number of active orders

Definition at line 160 of file ezsection.php.

References eZDB\instance().

The documentation for this class was generated from the following file:

- ezsection.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.